Subject: Re: [PATCH net-next v3 02/18] net: stmmac: move tx_lpi_timer tracking to phylib

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 8 Jan 2025 10:07:37 +0000

Hi,

On Wed, Jan 08, 2025 at 03:36:57PM +0800, Choong Yong Liang wrote:
> I have completed the sanity test on the EEE changes to the stmmac driver.
> 
> It seems that most of the changes are acceptable with respect to EEE behavior.
> 
> However, I noticed that this part of the code requires a minor change to fix
> the logic:
> 
> 	/* Configure phylib's copy of the LPI timer */
> 	if (phylink_ethtool_get_eee(priv->phylink, &eee) == 0) {
> 		eee.tx_lpi_timer = priv->tx_lpi_timer;
> 		phylink_ethtool_set_eee(priv->phylink, &eee);
> 	}
> 
> Otherwise, the "tx_lpi_timer" will not be set correctly during the initial
> state.
> 
> Tested-by: Choong Yong Liang <[email-masked]>

Thanks for testing. I can't update the series as there has been a power
failure at home, hence the machine that has my git trees on is
inaccessible at the moment.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!